Ranges in Vue Bullet Chart

12 Aug 20269 minutes to read

Ranges represent the quality of a specific range such as Good, Bad and Satisfactory in the Bullet Chart scale. The ending point of a qualitative range is specified in the end property in ranges. The minimum value of a quantitative scale is considered the starting point of the first range or the previous range end point.

<template>
  <div>
    <ejs-bulletchart id="bulletChart" :dataSource="data" valueField="value" targetField="target" :minimum="minimum"
      :maximum="maximum" :interval="interval" title="Revenue" categoryField="category"
      :categoryLabelStyle="categoryStyle" height="400px">
      <e-bullet-range-collection>
        <e-bullet-range end="35" color="darkred" opacity=0.5></e-bullet-range>
        <e-bullet-range end="50" color="red" opacity=1></e-bullet-range>
        <e-bullet-range end="75" color="blue" opacity=0.7></e-bullet-range>
        <e-bullet-range end="90" color="lightgreen" opacity=1></e-bullet-range>
        <e-bullet-range end="100" color="green" opacity=1></e-bullet-range>
      </e-bullet-range-collection>
    </ejs-bulletchart>
  </div>
</template>
<script setup>

import { BulletChartComponent as EjsBulletchart, BulletRangeCollectionDirective as EBulletRangeCollection, BulletRangeDirective as EBulletRange } from '@syncfusion/ej2-vue-charts';


const data = [{ value: 55, target: 75, category: "Year 1" },
{ value: 70, target: 70, category: "Year 2" },
{ value: 85, target: 75, category: "Year 3" }];
const minimum = 0; 
const maximum = 100; 
const interval = 10;
const categoryStyle = { color: "red", size: "13", fontWeight: "bold" };


</script>
<template>
  <div>
    <ejs-bulletchart id="bulletChart" :dataSource="data" valueField="value" targetField="target" :minimum="minimum"
      :maximum="maximum" :interval="interval" title="Revenue" categoryField="category"
      :categoryLabelStyle="categoryStyle" height="400px">
      <e-bullet-range-collection>
        <e-bullet-range end="35" color="darkred" opacity=0.5></e-bullet-range>
        <e-bullet-range end="50" color="red" opacity=1></e-bullet-range>
        <e-bullet-range end="75" color="blue" opacity=0.7></e-bullet-range>
        <e-bullet-range end="90" color="lightgreen" opacity=1></e-bullet-range>
        <e-bullet-range end="100" color="green" opacity=1></e-bullet-range>
      </e-bullet-range-collection>
    </ejs-bulletchart>
  </div>
</template>
<script>

import { BulletChartComponent, BulletRangeCollectionDirective, BulletRangeDirective } from '@syncfusion/ej2-vue-charts';

export default {
  name: "App",
  components: {
    "ejs-bulletchart": BulletChartComponent,
    "e-bullet-range-collection": BulletRangeCollectionDirective,
    "e-bullet-range": BulletRangeDirective
  },
  data() {
    return {
      data: [{ value: 55, target: 75, category: "Year 1" },
      { value: 70, target: 70, category: "Year 2" },
      { value: 85, target: 75, category: "Year 3" }],
      minimum: 0, maximum: 100, interval: 10,
      categoryStyle: { color: "red", size: "13", fontWeight: "bold" }
    }
  }
}
</script>

Color Customization

Enhance the readability of ranges with color and opacity. It can be applied using the color and opacity properties in ranges.

<template>
  <div>
    <ejs-bulletchart id="bulletChart" :dataSource="data" valueField="value" targetField="target" :minimum="minimum"
      :maximum="maximum" :interval="interval" title="Revenue" categoryField="category"
      :categoryLabelStyle="categoryStyle" height="400px">
      <e-bullet-range-collection>
        <e-bullet-range end="35" color="darkred" opacity=0.5></e-bullet-range>
        <e-bullet-range end="50" color="red" opacity=1></e-bullet-range>
        <e-bullet-range end="75" color="blue" opacity=0.7></e-bullet-range>
        <e-bullet-range end="90" color="lightgreen" opacity=1></e-bullet-range>
        <e-bullet-range end="100" color="green" opacity=1></e-bullet-range>
      </e-bullet-range-collection>
    </ejs-bulletchart>
  </div>
</template>
<script setup>

import { BulletChartComponent as EjsBulletchart, BulletRangeCollectionDirective as EBulletRangeCollection, BulletRangeDirective as EBulletRange } from '@syncfusion/ej2-vue-charts';

const data = [{ value: 55, target: 75, category: "Year 1" },
{ value: 70, target: 70, category: "Year 2" },
{ value: 85, target: 75, category: "Year 3" }];
const minimum = 0;
const maximum = 100;
const interval = 10;
const categoryStyle = { color: "red", size: "13", fontWeight: "bold" };

</script>
<template>
  <div>
    <ejs-bulletchart id="bulletChart" :dataSource="data" valueField="value" targetField="target" :minimum="minimum"
      :maximum="maximum" :interval="interval" title="Revenue" categoryField="category"
      :categoryLabelStyle="categoryStyle" height="400px">
      <e-bullet-range-collection>
        <e-bullet-range end="35" color="darkred" opacity=0.5></e-bullet-range>
        <e-bullet-range end="50" color="red" opacity=1></e-bullet-range>
        <e-bullet-range end="75" color="blue" opacity=0.7></e-bullet-range>
        <e-bullet-range end="90" color="lightgreen" opacity=1></e-bullet-range>
        <e-bullet-range end="100" color="green" opacity=1></e-bullet-range>
      </e-bullet-range-collection>
    </ejs-bulletchart>
  </div>
</template>
<script>

import { BulletChartComponent, BulletRangeCollectionDirective, BulletRangeDirective } from '@syncfusion/ej2-vue-charts';


export default {
  name: "App",
  components: {
    "ejs-bulletchart": BulletChartComponent,
    "e-bullet-range-collection": BulletRangeCollectionDirective,
    "e-bullet-range": BulletRangeDirective
  },
  data() {
    return {
      data: [{ value: 55, target: 75, category: "Year 1" },
      { value: 70, target: 70, category: "Year 2" },
      { value: 85, target: 75, category: "Year 3" }],
      minimum: 0, maximum: 100, interval: 10,
      categoryStyle: { color: "red", size: "13", fontWeight: "bold" }
    }
  }
}
</script>

Ranges in Angular Bullet Chart

11 Aug 20264 minutes to read

Ranges represent the quality of a specific range such as Good, Bad and Satisfactory in the Bullet Chart scale. The ending point of a qualitative range is specified in the end property in ranges. The minimum value of a quantitative scale is considered the starting point of the first range or the previous range end point.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { BulletChartModule} from '@syncfusion/ej2-angular-charts'




import { Component } from '@angular/core';
import { AnimationModel } from '@syncfusion/ej2-charts';

@Component({
imports: [
         BulletChartModule
    ],

providers: [ ],
standalone: true,
    selector: 'app-container',
    template: `<ejs-bulletchart targetField='target' valueField='value' categoryField='category' [minimum]='minimum' [maximum]='maximum'
  [interval]='interval' [dataSource]='data' [animation]='animation' height='400' [categoryLabelStyle]='categoryLabelStyle'
title='Sales Rate'>
  <e-bullet-range-collection>
    <e-bullet-range end='35' color='#ebebeb'></e-bullet-range>
    <e-bullet-range end='70' color='#d8d8d8'></e-bullet-range>
    <e-bullet-range end='100' color='#7f7f7f'></e-bullet-range>
  </e-bullet-range-collection>
</ejs-bulletchart>`
})
export class AppComponent {
   public minimum: number = 0;
  public maximum: number = 100;
  public interval: number = 20;
  public data: Object[] = [
    { value: 55, target: 75, category: 'Year 1'  },
    { value: 70, target: 70, category: 'Year 2'  },
    { value: 85, target: 75, category: 'Year 3'  }
    ];
  public animation: AnimationModel = { enable: false };
  public categoryLabelStyle: Object = { color: 'red', size: '13', fontWeight: 'bold'};
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Color Customization

Enhance the readability of ranges with color and opacity. It can be applied using the color and opacity properties in ranges.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { BulletChartModule} from '@syncfusion/ej2-angular-charts'




import { Component } from '@angular/core';
import { AnimationModel } from '@syncfusion/ej2-charts';

@Component({
imports: [
         BulletChartModule
    ],

providers: [ ],
standalone: true,
    selector: 'app-container',
    template: `<ejs-bulletchart targetField='target' valueField='value' categoryField='category' [minimum]='minimum' [maximum]='maximum'
  [interval]='interval' [dataSource]='data' [animation]='animation' height='400' [categoryLabelStyle]='categoryLabelStyle'
title='Sales Rate'>
  <e-bullet-range-collection>
    <e-bullet-range end='35' color='darkred'></e-bullet-range>
    <e-bullet-range end='50' color='red'></e-bullet-range>
    <e-bullet-range end='75' color='blue'></e-bullet-range>
    <e-bullet-range end='90' color='lightgreen'></e-bullet-range>
    <e-bullet-range end='100' color='green'></e-bullet-range>
  </e-bullet-range-collection>
</ejs-bulletchart>`
})
export class AppComponent {
  public minimum: number = 0;
  public maximum: number = 100;
  public interval: number = 20;
  public data: Object[] = [
    { value: 55, target: 75, category: 'Year 1'  },
    { value: 70, target: 70, category: 'Year 2'  },
    { value: 85, target: 75, category: 'Year 3'  }
    ];
  public animation: AnimationModel = { enable: false };
  public categoryLabelStyle: Object = { color: 'red', size: '13', fontWeight: 'bold'};
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Ranges in React Bullet Chart

10 Aug 20265 minutes to read

Ranges represent the quality of a specific range such as Good, Bad and Satisfactory in the Bullet Chart scale. The ending point of a qualitative range is specified in the end property in ranges. The minimum value of a quantitative scale is considered the starting point of the first range or the previous range end point.

Color Customization

Enhance the readability of ranges with color and opacity. It can be applied using the color and opacity properties in ranges.

import { BulletChartComponent } from '@syncfusion/ej2-react-charts';
import { BulletRangeCollectionDirective, BulletRangeDirective } from '@syncfusion/ej2-react-charts';
import * as React from "react";
import * as ReactDOM from "react-dom";
function App() {
    return (<BulletChartComponent id='ranges' animation={{ enable: false }} height="400" valueField='value' targetField='target' categoryField='category' categoryLabelStyle={{ color: 'red', size: '13', fontWeight: 'bold' }} title='ales Rate' minimum={0} maximum={100} interval={10} dataSource={[{ value: 55, target: 7.5, category: 'Year 1' },
    { value: 7, target: 5, category: 'Year 2' },
    { value: 10, target: 6, category: 'Year 3' }]}>
        <BulletRangeCollectionDirective>
            <BulletRangeDirective end={35} color='darkred' opacity={0.5}></BulletRangeDirective>
            <BulletRangeDirective end={50} color='red' opacity={1}></BulletRangeDirective>
            <BulletRangeDirective end={75} color='blue' opacity={0.7}></BulletRangeDirective>
            <BulletRangeDirective end={90} color='lightgreen' opacity={1}></BulletRangeDirective>
            <BulletRangeDirective end={100} color='green' opacity={1}></BulletRangeDirective>
        </BulletRangeCollectionDirective>

    </BulletChartComponent>);
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));
import { BulletChartComponent, Inject } from '@syncfusion/ej2-react-charts';
import { BulletRangeCollectionDirective, BulletRangeDirective } from '@syncfusion/ej2-react-charts';
import * as React from "react";
import * as ReactDOM from "react-dom";

function App() {
    return (<BulletChartComponent id='ranges'
        animation={{ enable: false }}
        height="400"
        valueField='value'
        targetField='target'
        categoryField='category'
        categoryLabelStyle={{ color: 'red', size: '13', fontWeight: 'bold' }}
        title='ales Rate'
        minimum={0}
        maximum={100}
        interval={10}
        dataSource={[{ value: 55, target: 7.5, category: 'Year 1' },
        { value: 7, target: 5, category: 'Year 2' },
        { value: 10, target: 6, category: 'Year 3' }]}>
        <BulletRangeCollectionDirective>
            <BulletRangeDirective end={35} color='darkred' opacity={0.5}></BulletRangeDirective>
            <BulletRangeDirective end={50} color='red' opacity={1}></BulletRangeDirective>
            <BulletRangeDirective end={75} color='blue' opacity={0.7}></BulletRangeDirective>
            <BulletRangeDirective end={90} color='lightgreen' opacity={1}></BulletRangeDirective>
            <BulletRangeDirective end={100} color='green' opacity={1}></BulletRangeDirective>
        </BulletRangeCollectionDirective>

    </BulletChartComponent>);
};
export default App;
ReactDOM.render(<App />, document.getElementById("charts"));